Bug 729277 - Fact type navigator in DRL editor displayed incorrectly in IE8
Summary: Fact type navigator in DRL editor displayed incorrectly in IE8
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: User Interface
Version: BRMS 5.2.0.GA
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: BRMS 5.2.0.GA
Assignee: Mark Proctor
QA Contact: Jiri Locker
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-09 10:58 UTC by Jiri Locker
Modified: 2014-10-27 01:13 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The fact type navigator was incorrectly displaying multiple icons in Internet Explorer 8. This has been resolved so that only the appropriate icons are displayed.
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)
DRL-IE8.png (191.28 KB, image/png)
2011-08-09 10:58 UTC, Jiri Locker
no flags Details
DRL-FF3.png (26.01 KB, image/png)
2011-08-09 10:58 UTC, Jiri Locker
no flags Details

Description Jiri Locker 2011-08-09 10:58:02 UTC
Created attachment 517382 [details]
DRL-IE8.png

Description of problem:
The images that visually discriminate between classes and fields in the navigator are not cropped in IE8 browser and the whole image cache is displayed. The navigator then takes like 2 screen widths and user has to scroll a long way to reach the text area with the rule source.

Version-Release number of selected component (if applicable):
ER2

Steps to Reproduce:
1. import sample mortgages repository
2. open 'Dummy rule'

Actual result:
see DRL-IE8.png

Expected result:
see DRL-FF3.png

Comment 1 Jiri Locker 2011-08-09 10:58:56 UTC
Created attachment 517383 [details]
DRL-FF3.png

Comment 2 Anne-Louise Tangring 2011-08-12 15:09:03 UTC
Candidate.

Comment 3 Jervis Liu 2011-08-24 04:09:08 UTC
https://issues.jboss.org/browse/GUVNOR-1485

Comment 4 lcarlon 2011-08-30 05:43:41 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
https://bugzilla.redhat.com/show_bug.cgi?id=729277

The fact type navigator was incorrectly displaying multiple icons in Internet Explorer 8. This has been resolved so that only the appropriate icons are displayed.

Comment 6 Jiri Locker 2011-09-09 13:40:09 UTC
Fix verified in ER3.

Comment 7 lcarlon 2011-09-14 04:29:12 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,3 +1 @@
-https://bugzilla.redhat.com/show_bug.cgi?id=729277
-
 The fact type navigator was incorrectly displaying multiple icons in Internet Explorer 8. This has been resolved so that only the appropriate icons are displayed.


Note You need to log in before you can comment on or make changes to this bug.